Subject: Re: bug#76382: 29.4; TeX Input Mode

From: Ben Domine <[email-masked]>
Date: Wed, 19 Feb 2025 11:02:00 -0600

Oh okay. I think that is indeed the problem, I apologize for wasting your time! Thanks for your work supporting GNU!

> On Feb 18, 2025, at 11:20 AM, Eli Zaretskii <[email-masked]> wrote:
> 
> [Please use Reply All to reply, to have the bug tracker CC'd.]
> 
>> From: Ben Domine <[email-masked]>
>> Date: Tue, 18 Feb 2025 10:12:46 -0600
>> 
>> Of course:
>> 1. emacs -Q
>> 2. C-x RET C-\
>> 3. tex RET
>> 4. ^C (shift-6 shift-c, on my keyboard)
>> 
>> Expected result is a superscript capital C. Here are the equivalent superscripts for lowercase c and capital
>> D: ᶜ ᴰ
>> 
>> This might very well just be a native font issue, or it could be that emacs is trying to insert the wrong
>> character (I’m not sure which).
> 
> Do you have a font installed which supports the codepoint U+A7F2?  If
> I arrange for such a font to be available to Emacs, the results are as
> you expect.
> 
> But the problem as you originally described was different:
> 
>> I turned on TeX input mode and attempted to write the exponentiated
>> capital C. In the minibuffer this is displayed as an option, however
>> when I type it I get the unknown character symbol.
> 
> If by "In the minibuffer this is displayed as an option" you mean that
> "C" was one of the alternatives shown after "^", then the fact that
> this alternative is shown does not mean you have a font that can
> display that alternative.  The input method does not check whether
> such a font is available, and it shouldn't check that: you are
> supposed to be able to type a character even if Emacs on your system
> cannot display it, because it could be displayable on another system,
> or even on yours after you install the missing fonts.
> 
> So I don't think there's a bug in Emacs here.  You need to install
> some additional fonts, and then it should work as expected.